org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.COLGROUP

- All Superinterfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec._TableCol, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.COLGROUP
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.COLGROUP
      extends HamletSpec.Attrs, HamletSpec._TableCol, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.COLGROUP` | `$span(int cols)` default number of columns in group.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._TableCol

      `col, col`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### $span

          HamletSpec.COLGROUP $span(int cols)

      default number of columns in group. default: 1
      Parameters:
        `cols` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.